#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	sysfsutils
Version		:	2.1.1
Release		:	17.2.0.rel%{?dist}
Summary		:	Utilities for interfacing with sysfs
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://github.com/linux-ras/sysfsutils/

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
#-----------------------------------------------------------------------------
BuilDRequires	:	autoconf
BuilDRequires	:	automake
BuilDRequires	:	gcc
BuilDRequires	:	libtool
BuilDRequires	:	make

Requires	:	lm-sensors
#-----------------------------------------------------------------------------
%description
This package's purpose is to provide a set of utilities for interfacing
with sysfs.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%doc docs/libsysfs.txt
%config(noreplace) %{_sysconfdir}/sysfs.conf
%config(noreplace) %{_sysconfdir}/sysfs.d/asc7621.conf-D975XB2
%attr(0750,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%{_bindir}/systool
%{_libdir}/libsysfs.so.*
%{_mandir}/man1/*systool.1.gz

%post
if [ "$1" = 1 ]; then
  %{_sbindir}/chkconfig --add %{name}
  fi
%{_sysconfdir}/rc.d/init.d/%{name} start > /dev/null 2>&1 || :
ldconfig 

%preun
if [ "$1" = 0 ]; then
  %{_sbindir}/chkconfig --del %{name}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi
ldconfig 
			
#=============================================================================
%package		devel
Summary		:	Library and headers for libsysfs

#-----------------------------------------------------------------------------
%description		devel
libsysfs-devel provides the header files and
libraries required to build programs using
the libsysfs API.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/sysfs/*.h
%{_libdir}/libsysfs.so
%{_libdir}/pkgconfig/libsysfs.pc

#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

./autogen
./configure						\
        --prefix=%{_prefix}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__mkdir_p}						\
	%{buildroot}%{_sysconfdir}/rc.d/init.d		\
	%{buildroot}%{_sysconfdir}/sysfs.d


%{__cp}							\
	%{name}-ok_addon/%{name}			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d		\

%{__cp}							\
	%{name}-ok_addon/*.conf				\
	%{buildroot}%{_sysconfdir}/

%{__cp}							\
	%{name}-ok_addon/sysfs.d/*			\
	%{buildroot}%{_sysconfdir}/sysfs.d/

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
